Skip to main content
PUT
/
api
/
v1
/
libraries
/
{libraryId}
Update a library
curl --request PUT \
  --url https://demo.komga.org/api/v1/libraries/{libraryId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "analyzeDimensions": true,
  "convertToCbz": true,
  "emptyTrashAfterScan": true,
  "hashFiles": true,
  "hashKoreader": true,
  "hashPages": true,
  "importBarcodeIsbn": true,
  "importComicInfoBook": true,
  "importComicInfoCollection": true,
  "importComicInfoReadList": true,
  "importComicInfoSeries": true,
  "importComicInfoSeriesAppendVolume": true,
  "importEpubBook": true,
  "importEpubSeries": true,
  "importLocalArtwork": true,
  "importMylarSeries": true,
  "name": "<string>",
  "oneshotsDirectory": "<string>",
  "repairExtensions": true,
  "root": "<string>",
  "scanCbx": true,
  "scanDirectoryExclusions": [
    "<string>"
  ],
  "scanEpub": true,
  "scanForceModifiedTime": true,
  "scanInterval": "DISABLED",
  "scanOnStartup": true,
  "scanPdf": true,
  "seriesCover": "FIRST"
}
'
{
  "violations": [
    {
      "fieldName": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

libraryId
string
required

Body

application/json

Fields to update. You can omit fields you don't want to update.

analyzeDimensions
boolean
convertToCbz
boolean
emptyTrashAfterScan
boolean
hashFiles
boolean
hashKoreader
boolean
hashPages
boolean
importBarcodeIsbn
boolean
importComicInfoBook
boolean
importComicInfoCollection
boolean
importComicInfoReadList
boolean
importComicInfoSeries
boolean
importComicInfoSeriesAppendVolume
boolean
importEpubBook
boolean
importEpubSeries
boolean
importLocalArtwork
boolean
importMylarSeries
boolean
name
string
oneshotsDirectory
string
repairExtensions
boolean
root
string
scanCbx
boolean
scanDirectoryExclusions
string[]
scanEpub
boolean
scanForceModifiedTime
boolean
scanInterval
enum<string>
Available options:
DISABLED,
HOURLY,
EVERY_6H,
EVERY_12H,
DAILY,
WEEKLY
scanOnStartup
boolean
scanPdf
boolean
seriesCover
enum<string>
Available options:
FIRST,
FIRST_UNREAD_OR_FIRST,
FIRST_UNREAD_OR_LAST,
LAST

Response

No Content